/* Sistemas Integrados TECNISA

Nome: 0212_GERTRGS.SQL

Descrio:
   Procedure q retorna dados da tabela SQLWEBTUNNING

Criao:
   26/02/2004 - Jenilson

17/02/2006 - Converso para Sql Server - Pedro Viol.
*/

/*******************************************************************************/
/*******       RETORNA DADOS DA TABELA SQLWEBTUNNING                    ********/
/*******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'WEBTUNNING' and
            type   = 'P'          and
            u.uid  = o.uid        and
            u.name = USER)
  DROP PROCEDURE WEBTUNNING
  GO

CREATE PROCEDURE WEBTUNNING (@P_DSREMOTEADDR VARCHAR(15) OUTPUT,
                             @P_DSREMOTEHOST VARCHAR(15) OUTPUT,
                             @P_DSSERVERRDM  VARCHAR(20) OUTPUT,
                             @P_DSSERVMETHOD VARCHAR(30) OUTPUT,
                             @P_DSREMOTEOPER VARCHAR(12) OUTPUT)
AS

BEGIN
   SELECT
      @P_DSREMOTEADDR = ISNULL(MAX(DSREMOTEADDR), 'VIA BD'),
      @P_DSREMOTEHOST = ISNULL(MAX(DSREMOTEHOST), 'VIA BD'),
      @P_DSSERVERRDM  = ISNULL(MAX(DSSERVERRDM ), 'VIA BD'),
      @P_DSSERVMETHOD = ISNULL(MAX(DSSERVMETHOD), 'VIA BD'),
      @P_DSREMOTEOPER = ISNULL(MAX(DSREMOTEOPER), 'VIA BD')
   FROM
      SQLWEBTUNNING
   WHERE
      (NRAUDSID = @@SPID) AND
      (CONVERT(VARCHAR, CONVERT(DATETIME, DTSTARTDATE, 103), 103)) = (SELECT MAX(CONVERT(VARCHAR, CONVERT(DATETIME, DTSTARTDATE, 103), 103))
                                                                      FROM SQLWEBTUNNING S
                                                                      WHERE S.NRAUDSID = @@SPID)
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'WEBTUNNING','4.07.028';
GO

