<?php
namespace Zeedhi\DevOps\Model\Projectmanagement\Repositories;

use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class ReplanningReason extends \Doctrine\ORM\EntityRepository {
    
    public function findReplanningReason($organizationId, $filters)
    {
        $sql = <<<SQL
            SELECT RPR.ID, RPR.DESCRIPTION, RPR.STATUS
              FROM REPLANNING_REASON RPR
             WHERE RPR.STATUS <> :deleted
               AND ORGANIZATION_ID = :organizationId
          $filters
          ORDER BY DESCRIPTION
SQL;
        $params = array(
            'organizationId' => $organizationId,
            'deleted' => Entities\ReplanningReason::DELETED
        );
        
        return $this->getEntityManager()->getConnection()->fetchAll($sql,$params);
    }
}